> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1smsroutingratesinboxesmessages logs



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/sms/routing/rates/inboxes/messages/{message}/logs
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/rates/inboxes/messages/{message}/logs:
    get:
      tags:
        - SmsRoutingRates
      operationId: sms.routing.rates.inboxes.messages.logs
      parameters:
        - name: message
          in: path
          required: true
          description: The message ID
          schema:
            type: string
            format: uuid
        - name: page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: search
          in: query
          schema:
            type: string
        - name: file_id
          in: query
          schema:
            type: string
            format: uuid
        - name: search_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: type
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - rate_created
                - rate_updated
                - rate_deleted
                - rate_failed
                - rate_no_changes
                - network_created
                - network_updated
      responses:
        '200':
          description: Array of `SmsRoutePriceMessageLogResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SmsRoutePriceMessageLogResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    SmsRoutePriceMessageLogResource:
      type: object
      properties:
        sms_route_price_message_id:
          type: string
        sms_route_price_message_file_id:
          type:
            - string
            - 'null'
        line_no:
          type: integer
        event:
          type: string
        fail_reason:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
      required:
        - sms_route_price_message_id
        - sms_route_price_message_file_id
        - line_no
        - event
        - fail_reason
        - meta
      title: SmsRoutePriceMessageLogResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````